MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023018Community[OCCT] OCCT:Data Exchangepublic2012-03-13 07:542013-04-29 15:23
ReporterRoman Lygin 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023018: Open CASCADE incorrectly writes/reads IGES Tabulated Cylinders (Type 122)
DescriptionPer the IGES specification 5.3, Tabulated Cylinder has u,v range [0,1]x[0,1].
OCC only transforms V-direction when writing and reading, while leaving U unchanged taking OCC basis curve definition when writing or IGES diretrix when reading.
With this bug, OCC is able to read its own written IGES files but produces wrong files which other systems may not read or may read correct IGES files with mistakes
(e.g. if using 2D curve representation is enforced via Interface_Static parameter read.surfacecurve.mode set to -2).

Root-cause analysis:
p-curves are not scaled in U-directions when reading or writing.
Currently infrastructure only assumes scaling in one direction (e.g. IGESToBRep_TopoSurface::myULength, IGESToBRep_TopoCurve::TransferCurveOnFace(), BRepToIGES_BRWire).
So the fix would employ redesign of that architecture to assume 2 direction scaling.


Reproducer:
- restore f-ext.brep f
- brepiges f f-ext.igs
- entity 6 #which is a line in 2D space - end points (1.57,1,0) (1.57,1,0) - beyond [0,1]x[0,1] range
Steps To ReproduceSee description
TagsNo tags attached.
Test case numberbugs iges(003) bug23018
Attached Files? file icon f-ext.brep (1,997 bytes) 2012-03-13 07:54

- Relationships
related to 0022715closedika Incorrect faces of the filleted cube after import from iges file 

-  Notes
(0022345)
abv (manager)
2012-11-22 11:11

This issue likely has common reason with 0022715
(0022862)
ika (developer)
2012-12-27 12:43

Dear MKV,
this problem was fixed with issue 0022715, which testing was OK.
Please test case from this issue in branch CR22715.
(0023460)
mkv (tester)
2013-02-22 16:59

Dear BugMaster,
this problem was fixed.
Testing cases:
bugs iges(003) bug23018 - OK
(0023515)
bugmaster (administrator)
2013-02-28 10:37

Problem was fixed with issue 0022715

- Issue History
Date Modified Username Field Change
2012-03-13 07:54 Roman Lygin New Issue
2012-03-13 07:54 Roman Lygin Assigned To => gka
2012-03-13 07:54 Roman Lygin File Added: f-ext.brep
2012-11-22 11:11 abv Note Added: 0022345
2012-11-22 11:11 abv Assigned To gka => ika
2012-11-22 11:11 abv Status new => assigned
2012-11-22 11:11 abv Relationship added related to 0022715
2012-12-27 12:43 ika Note Added: 0022862
2012-12-27 12:43 ika Assigned To ika => mkv
2012-12-27 12:43 ika Status assigned => feedback
2013-02-22 16:59 mkv Note Added: 0023460
2013-02-22 17:00 mkv Test case number => bugs iges(003) bug23018
2013-02-22 17:00 mkv Assigned To mkv => bugmaster
2013-02-22 17:00 mkv Status feedback => tested
2013-02-28 10:37 bugmaster Note Added: 0023515
2013-02-28 10:37 bugmaster Status tested => verified
2013-02-28 10:37 bugmaster Resolution open => fixed
2013-02-28 10:37 bugmaster Assigned To bugmaster => ika
2013-02-28 14:44 abv Target Version => 6.6.0
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:23 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker